jQueryバージョンアップで使えなくなるセレクタ

ほとんど↓の記事のパクリですが。。。
jQuery 1.4.4 で使えなくなってるセレクタ - m2Link

まあ、検索にヒットしやすくなるということで書きます。

htmlでこんなフォーム部品があって、その値をjQueryで使用する場合。
<input type="text" name="arr[key]" size="8" />

なにかの都合で、PHPなどでフォーム値を配列として取得したいな、というわけで、
name属性に配列を指定しています。
ここがミソ。

jQueryで取得はこうしていた訳だが(ホントは"["や"]"などの記号はエスケープしなきゃいけないみたいだけど…)
var val=$(":input[name=arr[key]]").val();

これが、jQuery1.5にしたら動かなくなった。

どうすればいいのかというと、とりあえず↓のようにすれば動きました。
var val=$(":input[name='arr[key]']").val();

つまり、「foo='var'」と、右辺をクォートすればよいようです。
やってみてないけど、シングルとダブルクォーテーションを入れ替えてもよいと思われ。
var val=$(':input[name="arr[key]"]').val();

jQuery

— posted by たか at 09:48 pm   pingTrackBack [0]

この記事に対するコメントはありません

T: Y: ALL: Online:
ThemeSwitch
Created in 0.0756 sec.
prev
2017.11
next
      1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30    
 
blogBar
Firefox3 Meter